Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.objects
Class XBooleanStatic

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.objects.XObject
                  |
                  +--weblogic.apache.xpath.objects.XBoolean
                        |
                        +--weblogic.apache.xpath.objects.XBooleanStatic

public class XBooleanStatic
extends XBoolean

This class doesn't have any XPathContext, so override whatever to ensure it works OK.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.objects.XBoolean
`S_FALSE, S_TRUE`

Fields inherited from class weblogic.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE, m_obj`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`XBooleanStatic(boolean b)` Construct a XBooleanStatic object.

Method Summary
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.

Methods inherited from class weblogic.apache.xpath.objects.XBoolean
`bool, getType, getTypeString, num, object, str`

Methods inherited from class weblogic.apache.xpath.objects.XObject
`allowDetachToRelease, appendToFsb, boolWithSideEffects, castToType, create, create, destruct, detach, dispatchCharactersEvents, error, error, execute, fixupVariables, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, numWithSideEffects, rtf, rtf, rtree, rtree, toString, xstr`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XBooleanStatic

    public XBooleanStatic(boolean b)

  Construct a XBooleanStatic object.

  Parameters:
    `b` - The value of the object

Method Detail

### equals

    public boolean equals(XObject obj2)

  Tell if two objects are functionally equal.

  Parameters:
    `obj2` - Object to compare to this
  Returns:
    True if the two objects are equal
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    equals in class XBoolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference